org.apache.felix.scrplugin

## Interface Log

    public interface Log

This interface supplies the API for providing feedback to the user from SCR descriptor generation process using whatever means is implemented. There should be no big surprises here.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `debug(String content)` Send a message to the user in the debug error level.
`void` `debug(String content, Throwable error)` Send a message (and accompanying exception) to the user in the debug error level.
`void` `debug(Throwable error)` Send an exception to the user in the debug error level.
`void` `error(String content)` Send a message to the user in the error error level.
`void` `error(String content, String location, int lineNumber)` Send a message (and accompanying exception) to the user in the error error level.
`void` `error(String content, String location, int lineNumber, int columnNumber)` Send a message (and accompanying exception) to the user in the error error level.
`void` `error(String content, Throwable error)` Send a message (and accompanying exception) to the user in the error error level.
`void` `error(Throwable error)` Send an exception to the user in the error error level.
`void` `info(String content)` Send a message to the user in the info error level.
`void` `info(String content, Throwable error)` Send a message (and accompanying exception) to the user in the info error level.
`void` `info(Throwable error)` Send an exception to the user in the info error level.
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isWarnEnabled()`
`void` `warn(String content)` Send a message to the user in the warn error level.
`void` `warn(String content, String location, int lineNumber)` Send a message (and accompanying exception) to the user in the warn error level.
`void` `warn(String content, String location, int lineNumber, int columnNumber)` Send a message (and accompanying exception) to the user in the warn error level.
`void` `warn(String content, Throwable error)` Send a message (and accompanying exception) to the user in the warn error level.
`void` `warn(Throwable error)` Send an exception to the user in the warn error level.

### Method Detail

#### isDebugEnabled

    boolean isDebugEnabled()

Returns:
  true if the debug error level is enabled

#### debug

    void debug(String content)

Send a message to the user in the debug error level.

Parameters:
  `content` -

#### debug

    void debug(String content,
               Throwable error)

Send a message (and accompanying exception) to the user in the debug error level.
The error's stacktrace will be output when this error level is enabled.

Parameters:
  `content` -
  `error` -

#### debug

    void debug(Throwable error)

Send an exception to the user in the debug error level.
The stack trace for this exception will be output when this error level is enabled.

Parameters:
  `error` -

#### isInfoEnabled

    boolean isInfoEnabled()

Returns:
  true if the info error level is enabled

#### info

    void info(String content)

Send a message to the user in the info error level.

Parameters:
  `content` -

#### info

    void info(String content,
              Throwable error)

Send a message (and accompanying exception) to the user in the info error level.
The error's stacktrace will be output when this error level is enabled.

Parameters:
  `content` -
  `error` -

#### info

    void info(Throwable error)

Send an exception to the user in the info error level.
The stack trace for this exception will be output when this error level is enabled.

Parameters:
  `error` -

#### isWarnEnabled

    boolean isWarnEnabled()

Returns:
  true if the warn error level is enabled

#### warn

    void warn(String content)

Send a message to the user in the warn error level.

Parameters:
  `content` -

#### warn

    void warn(String content,
              String location,
              int lineNumber)

Send a message (and accompanying exception) to the user in the warn error level.
The error's stacktrace will be output when this error level is enabled.

Parameters:
  `content` -
  `location` - The location at which the error occurred
  `lineNumber` - The line number at which the error occurred

#### warn

    void warn(String content,
              String location,
              int lineNumber,
              int columnNumber)

Send a message (and accompanying exception) to the user in the warn error level.
The error's stacktrace will be output when this error level is enabled.

Parameters:
  `content` -
  `location` - The location at which the error occurred
  `lineNumber` - The line number at which the error occurred
  `columnNumber` - The column number at which the error occurred

#### warn

    void warn(String content,
              Throwable error)

Send a message (and accompanying exception) to the user in the warn error level.
The error's stacktrace will be output when this error level is enabled.

Parameters:
  `content` -
  `error` -

#### warn

    void warn(Throwable error)

Send an exception to the user in the warn error level.
The stack trace for this exception will be output when this error level is enabled.

Parameters:
  `error` -

#### isErrorEnabled

    boolean isErrorEnabled()

Returns:
  true if the error error level is enabled

#### error

    void error(String content)

Send a message to the user in the error error level.

Parameters:
  `content` -

#### error

    void error(String content,
               String location,
               int lineNumber)

Send a message (and accompanying exception) to the user in the error error level.
The error's stacktrace will be output when this error level is enabled.

Parameters:
  `content` -
  `location` - The location at which the error occurred
  `lineNumber` - The line number at which the error occurred

#### error

    void error(String content,
               String location,
               int lineNumber,
               int columnNumber)

Send a message (and accompanying exception) to the user in the error error level.
The error's stacktrace will be output when this error level is enabled.

Parameters:
  `content` -
  `location` - The location at which the error occurred
  `lineNumber` - The line number at which the error occurred
  `columnNumber` - The column number at which the error occurred

#### error

    void error(String content,
               Throwable error)

Send a message (and accompanying exception) to the user in the error error level.
The error's stacktrace will be output when this error level is enabled.

Parameters:
  `content` -
  `error` -

#### error

    void error(Throwable error)

Send an exception to the user in the error error level.
The stack trace for this exception will be output when this error level is enabled.

Parameters:
  `error` -